Atualizar o Apache Tomcat (Linux)

O Apache Tomcat é um componente obrigatório necessário para executar o console web ESET PROTECT.

Antes de atualizar

1.Execute o comando a seguir para ver a versão instalada do Apache Tomcat (em alguns casos, o nome da pasta é tomcat7 ou tomcat8):

cd /usr/share/tomcat/bin && ./version.sh

 

2.Se uma nova versão do programa estiver disponível:

a.Certifique-se de que a versão mais recente é compatível.

b.Faça back-up do arquivo de configuração Tomcat /etc/tomcat7/server.xml.

Procedimentos de atualização

1.Execute o comando a seguir para parar o serviço Apache Tomcat (em alguns casos o nome do serviço é tomcat7):

sudo systemctl stop tomcat

 

2.Atualize o Apache Tomcat e Java. Exemplos de nomes de pacote abaixo podem ser diferentes dos pacotes do repositório de distribuição Linux.

Distribuição Linux

Comandos de terminal

distribuições Debian e Ubuntu

sudo apt-get update
sudo apt-get install openjdk-17-jdk tomcat9

distribuições CentOS e Red Hat

yum update
yum install java-17-openjdk tomcat

OpenSUSE

zypper refresh
sudo zypper install java-17-openjdk tomcat9

3.Substitua o arquivo /etc/tomcat9/server.xml pelo arquivo server.xml do seu backup.

4.Abra o arquivo server.xml e certifique-se de que o caminho keystoreFile está correto.

5.Certifique-se de que a conexão HTTPS para o Apache Tomcat está configurada corretamente.

Veja também a configuração adicional do Web Console para soluções empresariais ou para sistemas de baixo desempenho.


important

Depois de atualizar o Apache Tomcat para uma versão posterior avançada (por exemplo Apache Tomcat versão 7.x para 9.x):

1.Instale o console web ESET PROTECT novamente (veja Instalação do console web ESET PROTECT - Linux)

2.Reutilize o %TOMCAT_HOME%/webapps/era/WEB-INF/classes/sk/eset/era/g2webconsole/server/modules/config/EraWebServerConfig.properties para preservar quaisquer configurações personalizadas no console web ESET PROTECT.

A atualização do Web Console e Apache Tomcat limpa os arquivos da Ajuda off-line. Se você usou a ajuda off-line com o ESMC ou com uma versão mais antiga do ESET PROTECT, crie novamente a ajuda para o ESET PROTECT 9.1 depois da atualização para garantir que você tenha a ajuda off-line mais recente conforme sua versão do ESET PROTECT.